Subject: Re: bug#24368: 25.1; Assertion failure in attach_marker

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Sep 2016 19:39:45 +0300

> Date: Tue, 06 Sep 2016 18:09:58 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > I agree that erroring out of goto-char in this case is sub-optimal at
>  > best.
> 
> Could we drop that restriction with your changes?  I'd rather have this
> handled safely at one place only.

The patch fixes that as well, didn't you notice?  Or am I missing
something?

>  > I chose neither ;-)  The patch below seems to fix all of your test
>  > cases, including the original problem with window-state-get, even
>  > before it was fixed.  It also lifts the restriction on goto-char.
>  >
>  > Comments?
> 
> Install!

Will do.

>  > P.S. After fixing the crashes and correcting window--state-get-1,
>  > running your original test case causes "C-x 1" stop working: it has no
>  > effect.  Looks like this is because Emacs thinks the window is the
>  > major non-side window, although actually I have *scratch* and *Help*,
>  > so the command ought to work.  Is this related or unrelated to the
>  > issue at hand?
> 
> I'm not sure what you mean with "stop working".  The idea is that C-x 1
> when invoked in *scratch* should leave the *Help* window alone.

Really?  Isn't that confusing to do that silently?  It confused me,
for one.